package io.rong.imkit.utils.helper;

import android.content.Context;
import android.text.TextUtils;

import com.cooleshow.base.utils.ToastUtil;
import com.cooleshow.base.utils.Utils;

import io.rong.imkit.RongIM;

/**
 * Author by pq, Date on 2022/7/4.
 */
public class OpenChatHelper {
    public static final String SINGLE_CHAT = "single";//单聊

    public static void goChat(Context context, String targetId, String groupName) {
        if (TextUtils.isEmpty(targetId)) {
            return;
        }
        RongIM.getInstance().startPrivateChat(context, targetId, groupName);
    }

    public static void goGroupChat(Context context, String groupId, String groupName) {
        if (TextUtils.isEmpty(groupId)) {
            ToastUtil.getInstance().showShort("报名未结束，暂无群组");
            return;
        }
        RongIM.getInstance().startGroupChat(context, groupId, groupName);
    }
}
